﻿.index-teacher-box{
    width: 1920px;
    max-width: 100%;
    margin: 0 auto;
    display: block;
    position: relative;
    font-size: 0;
    box-sizing: border-box;
    padding-bottom: 80px;
}
.index-teacher-all-box{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 1;
}
.index-teacher-title-icon{
    width: 64px;
    height: 64px;
    display: block;
    margin: 0 auto;
}
.index-teacher-title-icon span{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    position: relative;
}
.index-teacher-title-box{
    margin-top: 50px;
    margin-bottom: 70px;
}
.index-teacher-title{
    font-size: 32px;
    letter-spacing: 4px;
    display: block;
    text-align: center;
    font-weight: bold;
    color: #000;
    transform: skewX(-10deg);
    margin-top: 10px;
}
.index-teacher-info-box{
    margin-top: 200px;
    position: relative;
}
.index-teacher-info-r-box,
.index-teacher-info-l-box{
    width: 620px;
    display: inline-block;
    vertical-align: bottom;
    position: relative;
}
.index-teacher-info-l-box{
    margin-right: 40px;
    top: -150px;
}
.index-teacher-info-img-box{
    width: 300px;
    height: 420px;
    display: inline-block;
    vertical-align: bottom;
    border-radius: 5px;
    overflow: hidden;
    position: relative;
    z-index: 1;
}
.index-teacher-info-img-box span{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    position: relative;
}
.index-teacher-info{
    width: calc(100% - 300px);
    display: inline-block;
    vertical-align: bottom;
    box-sizing: border-box;
    padding: 0 10px;
    position: relative;
    z-index: 1;
}
.index-teacher-info-name-box{
    font-size: 32px;
    font-weight: bold;
    color: #000;
    transform: skewX(-10deg);
    letter-spacing: 2px;
    margin-bottom: 80px;
}
.index-teacher-info-text-box{
    font-size: 16px;
    font-weight: bold;
    color: #000;
    font-style: italic;
    letter-spacing: 1px;
    line-height: 2.4;
}
.index-teacher-info-r-box .index-teacher-info-name-box{
    text-align: right;
}
.index-teacher-info-r-box .index-teacher-info-text-box{
    text-align: right;
}
.index-teacher-info-bc{
    width: 500px;
    height: 100%;
    display: block;
    background: linear-gradient(0deg, rgba(217, 133, 173, 0.8)0%, rgba(243, 235, 98, 0.5)100%); 
    background: -moz-linear-gradient(0deg, rgba(217, 133, 173, 0.8)0%, rgba(243, 235, 98, 0.5)100%); 
    background: -webkit-linear-gradient(0deg, rgba(217, 133, 173, 0.8)0%, rgba(243, 235, 98, 0.5)100%); 
    background: -o-linear-gradient(0deg, rgba(217, 133, 173, 0.8)0%, rgba(243, 235, 98, 0.5)100%); 
    opacity: 0.9;
    border-radius: 10px;
    position: absolute;
    top: 50px;
}
.index-teacher-info-l-box .index-teacher-info-bc{
    left: 65px;
}
.index-teacher-info-r-box .index-teacher-info-bc{
    right: 65px;
}
.index-teacher-bc{
    position: absolute;
    bottom: 0;
    left: 0;
}




@media only screen and (max-width: 1280px){
    .index-teacher-all-box{
        width: 1200px;
    }
    .index-teacher-info-r-box, .index-teacher-info-l-box{
        width: 580px;
    }
    .index-teacher-info-l-box .index-teacher-info-bc{
        left: 45px;
    }
    .index-teacher-info-r-box .index-teacher-info-bc{
        right: 45px;
    }
}
@media only screen and (max-width: 1200px){
    .index-teacher-all-box{
        width: 1000px;
    }
    .index-teacher-info-r-box, .index-teacher-info-l-box{
        width: 480px;
    }
    .index-teacher-info-img-box{
        width: 230px;
        height: 322px;
    }
    .index-teacher-info{
        width: calc(100% - 230px);
    }
    .index-teacher-info-name-box{
        margin-bottom: 40px;
        font-size: 28px;
    }
    .index-teacher-info-bc{
        width: 400px;
    }
    .index-teacher-info-text-box{
        line-height: 2.2;
        font-size: 14px;
    }
    .index-teacher-info-box{
        margin-top: 150px;
    }
    .index-teacher-info-l-box{
        top: -100px;
    }
}
@media only screen and (max-width: 1000px){
    .index-teacher-all-box{
        width: 750px;
    }
    .index-teacher-title-box{
        margin-top: 30px;
        margin-bottom: 50px;
    }
    .index-teacher-title-icon{
        width: 59px;
        height: 59px;
    }
    .index-teacher-title{
        font-size: 28px;
    }
    .index-teacher-info-l-box,
    .index-teacher-info-r-box{
        display: block;
        margin: 0 auto;
    }
    .index-teacher-bc{
        display: none;
    }
    .index-teacher-info-l-box .index-teacher-info-bc{
        left: inherit;
        right: 0px;
    }
    .index-teacher-info-r-box .index-teacher-info-bc{
        right: inherit;
        left: 0px;
    }
}
@media only screen and (max-width: 750px){
    .index-teacher-all-box{
        width: 550px;
    }
    .index-teacher-title-box{
        margin-top: 30px;
        margin-bottom: 30px;
    }
    .index-teacher-title-icon{
        width: 54px;
        height: 54px;
    }
    .index-teacher-title{
        font-size: 24px;
    }
}
@media only screen and (max-width: 550px){
    .index-teacher-all-box{
        width: 400px;
    }
    .index-teacher-title-box{
        margin-top: 20px;
        margin-bottom: 20px;
    }
    .index-teacher-title-icon{
        width: 49px;
        height: 49px;
    }
    .index-teacher-title{
        font-size: 22px;
        margin-top: 0;
    }
    .index-teacher-info-r-box, .index-teacher-info-l-box{
        width: 100%;
    }
    .index-teacher-info-img-box{
        width: 200px;
        height: 280px;
    }
    .index-teacher-info{
        width: calc(100% - 200px);
    }
    .index-teacher-info-name-box{
        margin-bottom: 20px;
        font-size: 24px;
    }
    .index-teacher-info-bc{
        width: 300px;
    }
    .index-teacher-info-text-box{
        line-height: 2;
        font-size: 12px;
    }
    .index-teacher-info-box{
        margin-top: 0;
    }
    .index-teacher-info-l-box{
        top: 0;
        margin-bottom: 80px;
    }
    .index-teacher-info-l-box .index-teacher-info-bc{
        left: inherit;
        right: 0px;
    }
    .index-teacher-info-r-box .index-teacher-info-bc{
        right: inherit;
        left: 0px;
    }
}
@media only screen and (max-width: 400px){
    .index-teacher-all-box{
        width: 300px;
    }
    .index-teacher-title-box{
        margin-top: 25px;
        margin-bottom: 15px;
    }
    .index-teacher-title-icon{
        width: 44px;
        height: 44px;
    }
    .index-teacher-title{
        font-size: 18px;
        margin-top: 0;
    }
    .index-teacher-info-img-box{
        width: 150px;
        height: 210px;
    }
    .index-teacher-info{
        width: calc(100% - 150px);
    }
    .index-teacher-info-name-box{
        margin-bottom: 10px;
        font-size: 20px;
    }
    .index-teacher-info-bc{
        width: 200px;
    }
    .index-teacher-info-text-box{
        line-height: 1.8;
        font-size: 12px;
    }
    .index-teacher-info-l-box .index-teacher-info-bc{
        top: 20px;
    }
    .index-teacher-info-l-box{
        margin-bottom: 50px;
    }
}



/*animation*/
/*<-------------動畫------------->*/

@media only screen and (min-width: 1001px){
    .index-teacher-title-icon span,
    .index-teacher-title,
    .index-teacher-bc,
    .index-teacher-info-l-box,
    .index-teacher-info-r-box{
        opacity: 0;
    }
    .index-teacher-title-icon span.anima,
    .index-teacher-title.anima{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .index-teacher-bc.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .index-teacher-info-box.anima .index-teacher-info-l-box{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .index-teacher-info-box.anima .index-teacher-info-r-box{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
    .index-teacher-info-box.anima .index-teacher-info-l-box .index-teacher-info{
        animation: fadeInRight 1s ease .2s 1 both;
    }
    .index-teacher-info-box.anima .index-teacher-info-l-box .index-teacher-info-img-box{
        animation: fade 1s ease .2s 1 both;
    }
    .index-teacher-info-box.anima .index-teacher-info-r-box .index-teacher-info{
        animation: fadeInLeft 1s ease .2s 1 both;
    }
    .index-teacher-info-box.anima .index-teacher-info-r-box .index-teacher-info-img-box{
        animation: fade 1s ease .2s 1 both;
    }
}